/* ModuleFunctions.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _ModuleFunctions_h
#define _ModuleFunctions_h
#include "overall.h"

#ifndef DND_FUNCTIONS
struct ModuleInfo;
struct ChanNode;

void init_modulefunctions();
void scan_module(struct ModuleInfo *module);
void free_module_functions(struct ModuleInfo *module);

/* MODULAR ACCESSIBLE */ void module_global_cmd_register_neonbackup(char *chan);
/* MODULAR ACCESSIBLE */ void module_global_cmd_unregister_neonbackup(char *chan);
/* MODULAR ACCESSIBLE */ void module_neonbackup_recover_chan(struct ChanNode *chan);

#endif
#endif
